Retrieves all Brand Boards for a specific account
GET https://services.leadconnectorhq.com/brand-boards/{locationId}
Authorization
Path parameters
Query parameters
Responses
200 - Success
brandBoards (object[], required): Array of brand boards for the account
_id (string, required): Brand board ID Example: 507f1f77bcf86cd799439011
name (string, required): Brand board name Example: My Brand Board
updatedAt (string, required): Last update timestamp Example: 2024-01-05T12:00:00.000Z
default (boolean): Whether this is the default brand board for the account Example: False
meta (object): Metadata about the brand board
totalCount (number, required): Total number of brand boards matching the query Example: 42
{
"brandBoards": [
{
"_id": "507f1f77bcf86cd799439011",
"name": "My Brand Board",
"updatedAt": "2024-01-05T12:00:00.000Z",
"default": false
}
],
"totalCount": 42
}
400 - Bad Request
401 - Unauthorized
403 - The token does not have access to this account
statusCode (number): Example: 403
message (string): Example: The token does not have access to this account
{
"statusCode": 403,
"message": "The token does not have access to this account"
}
422 - Unprocessable Entity
Example
curl -X GET 'https://services.leadconnectorhq.com/brand-boards/YOUR_locationId' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/brand-boards/YOUR_locationId', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();
import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/brand-boards/YOUR_locationId',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/brand-boards/YOUR_locationId');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);